<?php 

if (class_exists('SiteUsers'))
{
	$SiteUsers = & singleton('SiteUsers');
	
	$user_login = end($GLOBALS['URL_ARRAY']);
	
	$siteuser_row = $SiteUsers->GetSiteUserByLogin($user_login);
	
	if ($siteuser_row)
	{
		$XMLcode = '<?xml version="1.0" encoding="UTF-8"?>'."\n".
		'<site_user>'."\n";
		$XMLcode .= $SiteUsers->GetSiteUserXml($siteuser_row['site_users_id'], array(), array(), array('cache_off' => true));
		$XMLcode .= '</site_user>'."\n";
	
		$xsl = new xsl();
		echo $xsl->build($XMLcode, to_str($GLOBALS['LA']['XslUserInfo']));
	}
}
else
{
	?>
	<h1>Пользователи сайта</h1>
	<p>Функционал недоступен, приобретите более старшую редакцию.</p>
	<p>Модуль &laquo;<a href="http://www.hostcms.ru/hostcms/modules/users/">Пользователи сайта</a>&raquo; доступен в редакциях &laquo;<a href="http://www.hostcms.ru/hostcms/editions/corporation/">Корпорация</a>&raquo; и &laquo;<a href="http://www.hostcms.ru/hostcms/editions/business/">Бизнес</a>&raquo;.</p> 
	<?php
}
?>